# Version

## Get asset versions

<mark style="color:green;">`GET`</mark> `https://api.echo3d.com/versionControl`

This endpoint allows you to retrieve information on the different versions of an asset entry.

#### Request Body

| Name                                        | Type   | Description                                                                                                                             |
| ------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| key<mark style="color:red;">\*</mark>       | string | Your API key.                                                                                                                           |
| entryId                                     | string | The entry ID of the content entry being accessed.                                                                                       |
| operation<mark style="color:red;">\*</mark> | string | The operation to be executed. Options: `query`, `queryAll`, `revert`, `editComment`, `deleteVersion`                                    |
| versionId                                   | string | The version to execute the operation on. Applies to the `revert`, `editComment`, `deleteVersion` operations                             |
| comment                                     | string | The comment to set to the version. Applies to the `editComment` operation.                                                              |
| secKey<mark style="color:red;">\*</mark>    | string | Your Secret key. Only if enabled through the [Security page](/web-console/manage-pages/collections-and-sharing/security.md#secret-key). |
| email<mark style="color:red;">\*</mark>     | string | Your email address                                                                                                                      |
| userKey<mark style="color:red;">\*</mark>   | string | Your authentication key                                                                                                                 |

{% tabs %}
{% tab title="200 The location will be saved an associated with the entry" %}

```
N/A
```

{% endtab %}
{% endtabs %}

## Operations

* `query`: Get information on all asset versions. Your request **must include**:
  * `entryId`:  The ID of the asset version to query.
* `queryAll`:  Get information on versions of all assets in a collection.
* `revert`: Set a previous asset version as the latest version. Your request **must include**:
  * `versionId`: The ID of the asset version to revert to.
* `editComment`: Add or update a comment on a specific asset version. Your request **must include**:
  * `versionId`: The ID of the asset version to comment on.
  * `comment`: The comment to add.
* `deleteVersion`: Remove a specific asset version from the database. Your request **must include**:
  * `versionId`: The ID of the asset version to delete.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/api/version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
